.cart-header {
    margin-bottom: rem(24);
    padding-bottom: rem(12);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
    display: flex;
    align-items: center;
    justify-content: space-between;

    @include media-breakpoint-up(md) {
        margin-bottom: rem(32);
        padding-bottom: rem(16);
    }

    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}
}

.cart-body {
    display: flex;
    row-gap: rem(24);
    flex-direction: column;

    @include media-breakpoint-up(md) {
        row-gap: rem(32);
    }
}

.cart-item {
    display: block;
    position: relative;

    &__header {
        min-height: rem(94);
        padding-left: rem(120);
        display: flex;
        row-gap: rem(8);
        flex-direction: column;
    }

    &__check {
        left: 0;
        top: 4px;
        z-index: 20;
        position: absolute;
    }

    &__image {
        top: 0;
        z-index: 10;
        left: rem(36);
        width: rem(72);
        height: rem(72);
        display: block;
        overflow: hidden;
        position: absolute;
        border-radius: rem(12);
    }

    &__title {
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(19);

        a {
            color: white;
            text-decoration: none;

            &:hover {
                color: white;
                text-decoration: none;
            }
        }
    }

    &__price {
        white-space: nowrap;
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(22);
    }

    &__toggle {
        cursor: pointer;
        font-size: rem(12);
        line-height: rem(18);
        color: var(--orange);
        text-decoration: none;
        transition: var(--transition-time);
        display: flex;
        column-gap: rem(2);
        align-items: center;

        &:after {
            width: 12px;
            height: 12px;
            content: '';
            display: block;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTInIGhlaWdodD0nMTInIHZpZXdCb3g9JzAgMCAxMiAxMicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNOS41IDQuNUw2IDhMMi41IDQuNScgc3Ryb2tlPScjRkY3QzFCJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=");
            background-repeat: no-repeat;
            background-size: cover;
        }
    }

    &__content {
        display: none;
        font-size: rem(12);
        line-height: rem(18);
    }

    &__data {
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
    }

    &__row {
        display: grid;
        grid-column-gap: rem(8);
        grid-template-columns: rem(150) 1fr;
    }

    &__label {
        opacity: .6;
    }

    &__quantity {
        width: 106px;
    }

    &__remove {
        margin: 0;
        padding: 0;
        opacity: .6;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        height: 20px;
        fill: white;
        cursor: pointer;
        display: inline-block;
        background-color: transparent;
        transition: var(--transition-time);

        &:hover {
            opacity: 1;
            transition: var(--transition-time);
        }

        &:active {
            opacity: .8;
        }
    }

    &.open {

        .cart-item {

            &__toggle {

                &:after {
                    transform: rotate(180deg);
                }
            }
        }
    }

    @include media-breakpoint-up(md) {
        min-height: rem(160);
        padding-left: rem(236);

        &__image {
            left: rem(40);
            width: rem(180);
            height: rem(180);
        }

        &__main {
            display: flex;
            row-gap: rem(16);
            flex-direction: column;
        }

        &__header {
            column-gap: rem(16);
            min-height: inherit;
            padding-left: 0;
            align-items: flex-start;
            flex-direction: row;
            justify-content: space-between;
        }

        &__toggle {
            display: none;
        }

        &__content {
            display: block !important;
        }

        &__title {
            font-size: rem(24);
            line-height: rem(24);
            flex-grow: 1;
            order: 1;
        }

        &__quantity {
            order: 2;
        }

        &__price {
            width: rem(120);
            font-size: rem(24);
            line-height: rem(24);
            text-align: right;
            flex-shrink: 0;
            order: 3;
        }

        &__data {
            row-gap: rem(8);
        }
    }

    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}

}

.cart-checkout {
    padding: rem(24);
    border-radius: rem(12);
    background-color: #222;

    &__header {
        margin-bottom: rem(20);
        display: flex;
        row-gap: rem(12);
        flex-direction: column;
    }

    &__title {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(22);
    }

    &__subtitle {
        font-size: rem(14);
        line-height: rem(19);
    }

    &__group {

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__content {
        font-size: rem(14);
        line-height: rem(19);
        margin-bottom: rem(20);
        display: flex;
        row-gap: rem(12);
        flex-direction: column;
    }

    &__row {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__total {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(22);
        white-space: nowrap;
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__notice {
        max-width: rem(380);
        text-align: center;
        margin: rem(8) auto 0 auto;
        font-size: rem(10);
        line-height: rem(13);

    }

    @include media-breakpoint-up(md) {

        &__header {
            row-gap: rem(20);
            margin-bottom: rem(24);
        }

        &__title {
            font-size: rem(24);
            line-height: rem(24);
        }

        &__group {

            &:not(:last-child) {
                margin-bottom: rem(24);
            }
        }

        &__content {
            font-size: rem(16);
            line-height: rem(22);
            margin-bottom: rem(24);
            row-gap: rem(16);
        }

        &__total {
            font-size: rem(24);
            line-height: rem(24);
            margin-bottom: rem(48);
        }

        &__notice {
            font-size: rem(12);
            line-height: rem(18);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin-bottom: rem(32);
        }

        &__subtitle {
            font-size: rem(16);
            line-height: rem(22);
        }

        &__group {

            &:not(:last-child) {
                margin-bottom: rem(32);
            }
        }
    }
}
